Bug 110179

Summary: [CI][DRMTIP] igt@kms_plane@pixel-format-pipe-a-planes* - fail - First failure is "WARNING: CRC mismatch with format RG16(0x36314752) on A.0"
Product: DRI Reporter: Martin Peres <martin.peres>
Component: DRM/IntelAssignee: Intel GFX Bugs mailing list <intel-gfx-bugs>
Status: RESOLVED FIXED QA Contact: Intel GFX Bugs mailing list <intel-gfx-bugs>
Severity: normal    
Priority: medium CC: intel-gfx-bugs
Version: XOrg git   
Hardware: Other   
OS: All   
Whiteboard: ReadyForDev
i915 platform: KBL i915 features: display/Other

Description Martin Peres 2019-03-18 14:54:52 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-kbl-r/igt@kms_plane@pixel-format-pipe-a-planes.html

Starting subtest: pixel-format-pipe-A-planes
(kms_plane:1184) WARNING: CRC mismatch with format RG16(0x36314752) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format RG16(0x36314752) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format RG16(0x36314752) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format RG16(0x36314752) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format RG16(0x36314752) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format RG16(0x36314752) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format XB24(0x34324258) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format AR24(0x34325241) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format AR24(0x34325241) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format AR24(0x34325241) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format AR24(0x34325241) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format AR24(0x34325241) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format AR24(0x34325241) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format AB24(0x34324241) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format XR30(0x30335258) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format XR30(0x30335258) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format XR30(0x30335258) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format XR30(0x30335258) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format XR30(0x30335258) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format YUYV(0x56595559) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format YUYV(0x56595559) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format YUYV(0x56595559) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format YUYV(0x56595559) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format YUYV(0x56595559) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format YVYU(0x55595659) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format YVYU(0x55595659) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format YVYU(0x55595659) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format UYVY(0x59565955) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format UYVY(0x59565955) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format VYUY(0x59555956) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format NV12(0x3231564e) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format NV12(0x3231564e) on A.0
(kms_plane:1184) WARNING: CRC mismatch with format NV12(0x3231564e) on A.0
(kms_plane:1184) CRITICAL: Test assertion failure function test_pixel_formats, file ../tests/kms_plane.c:612:
(kms_plane:1184) CRITICAL: Failed assertion: result
(kms_plane:1184) CRITICAL: At least one CRC mismatch happened
Comment 1 CI Bug Log 2019-03-18 14:57:56 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* KBL: igt@kms_plane@pixel-format-pipe-a-planes* - fail - First failure is &quot;WARNING: CRC mismatch with format RG16(0x36314752) on A.0&quot;
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-kbl-r/igt@kms_plane@pixel-format-pipe-a-planes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-r/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_246/fi-kbl-r/igt@kms_plane@pixel-format-pipe-a-planes-source-clamping.html
Comment 2 CI Bug Log 2019-03-20 11:48:12 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL: igt@kms_plane@pixel-format-pipe-a-planes* - fail - First failure is &quot;WARNING: CRC mismatch with format RG16(0x36314752) on A.0&quot; -}
{+ KBL: igt@kms_plane@pixel-format-pipe-a-planes* - fail - First failure is &quot;WARNING: CRC mismatches with format RG16(0x36314752) on A.0 with 2/8 solid colors tested (0x88)&quot; +}

 No new failures caught with the new filter
Comment 3 Martin Peres 2019-04-09 12:51:13 UTC
Verified to be fixed by:

commit 76a8f9cf7890969e8f2b4550600c6d3ee6913dd7
Author:     Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
AuthorDate: Fri Mar 15 17:23:34 2019 +0200
Commit:     Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
CommitDate: Wed Mar 20 10:48:20 2019 +0200

    lib/igt_kms: reset plane alpha and blend in igt_plane_reset()
    
    plane alpha and blend would affect other tests if left
    in unexpected states
    
    v2 (ville syrjälä): use "Pre-multiplied" as default for
    IGT_PLANE_PIXEL_BLEND_MODE.
    
    Signed-off-by: Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
Comment 4 CI Bug Log 2019-04-09 12:53:12 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.